Package org.xnio

# Interface XnioProvider

public interface XnioProvider
An XNIO provider, used by the service loader discovery mechanism.

Author:
  David M. Lloyd

## Method Summary

Modifier and Type
Method
Description
`Xnio`
`getInstance()`
Get the XNIO instance for this provider.
`String`
`getName()`
Get the provider name.

## Method Details

### getInstance

Xnio getInstance()
Get the XNIO instance for this provider.

Returns:
  the XNIO instance

### getName

String getName()
Get the provider name.

Returns:
  the name